Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html
Class HtmlResponseWriterImpl

    java.lang.Object
      java.io.Writer
          javax.faces.context.ResponseWriter
              org.apache.myfaces.shared_orchestra.renderkit.html.HtmlResponseWriterImpl

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class HtmlResponseWriterImpl

extends javax.faces.context.ResponseWriter

Version:
  $Revision: 779411 $ $Date: 2009-05-27 21:36:00 -0500 (Wed, 27 May 2009) $
Author:
  Manfred Geiler (latest modification by $Author: lu4242 $), Anton Koinov

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`HtmlResponseWriterImpl(Writer writer, String contentType, String characterEncoding)`

Method Summary
`javax.faces.context.ResponseWriter` | `cloneWithWriter(Writer writer)`
`void` | `close()`
`void` | `endDocument()`
`void` | `endElement(String name)`
`void` | `flush()`
`String` | `getCharacterEncoding()`
`String` | `getContentType()`
`void` | `setContentType(String contentType)`
`void` | `startDocument()`
`void` | `startElement(String name, javax.faces.component.UIComponent uiComponent)`
`static boolean` | `supportsContentType(String contentType)`
`void` | `write(char[] cbuf)`
`void` | `write(char[] cbuf, int off, int len)`
`void` | `write(int c)`
`void` | `write(String str)`
`void` | `write(String str, int off, int len)`
`void` | `writeAttribute(String name, Object value, String componentPropertyName)`
`void` | `writeComment(Object value)`
`void` | `writeText(char[] cbuf, int off, int len)`
`void` | `writeText(Object value, String componentPropertyName)`
`void` | `writeURIAttribute(String name, Object value, String componentPropertyName)`

Methods inherited from class javax.faces.context.ResponseWriter
`endCDATA, startCDATA, writeText`

Methods inherited from class java.io.Writer
`append, append, append`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlResponseWriterImpl

    public HtmlResponseWriterImpl(Writer writer,
                                  String contentType,
                                  String characterEncoding)
                           throws javax.faces.FacesException

Throws:
  `javax.faces.FacesException`

Method Detail

### supportsContentType

    public static boolean supportsContentType(String contentType)

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in class `javax.faces.context.ResponseWriter`

### setContentType

    public void setContentType(String contentType)

### getCharacterEncoding

    public String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in class `javax.faces.context.ResponseWriter`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Specified by:
    `flush` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### startDocument

    public void startDocument()

  Specified by:
    `startDocument` in class `javax.faces.context.ResponseWriter`

### endDocument

    public void endDocument()
                     throws IOException

  Specified by:
    `endDocument` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### startElement

    public void startElement(String name,
                             javax.faces.component.UIComponent uiComponent)
                      throws IOException

  Specified by:
    `startElement` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### endElement

    public void endElement(String name)
                    throws IOException

  Specified by:
    `endElement` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### writeAttribute

    public void writeAttribute(String name,
                               Object value,
                               String componentPropertyName)
                        throws IOException

  Specified by:
    `writeAttribute` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### writeURIAttribute

    public void writeURIAttribute(String name,
                                  Object value,
                                  String componentPropertyName)
                           throws IOException

  Specified by:
    `writeURIAttribute` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### writeComment

    public void writeComment(Object value)
                      throws IOException

  Specified by:
    `writeComment` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### writeText

    public void writeText(Object value,
                          String componentPropertyName)
                   throws IOException

  Specified by:
    `writeText` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### writeText

    public void writeText(char[] cbuf,
                          int off,
                          int len)
                   throws IOException

  Specified by:
    `writeText` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### cloneWithWriter

    public javax.faces.context.ResponseWriter cloneWithWriter(Writer writer)

  Specified by:
    `cloneWithWriter` in class `javax.faces.context.ResponseWriter`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws IOException

  Specified by:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(int c)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(char[] cbuf)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(String str)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(String str,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.